/***************************************************************/
//
//
//		DirectX	[ base.cpp ]
//
//											Author	kazuki tanaka
//											Date	2017 6/7
/*---------------------------------------------------------------
Update : 2017/6/7
			base.cpp̍쐬

/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/


#include "base.h"

#include "fieldmap.h"

/*---------------------------------------------------------------
	Macro Difinition
---------------------------------------------------------------*/


/*---------------------------------------------------------------
	Const Number Difinition
---------------------------------------------------------------*/


/*----------------------------------------------------------------
	static member variable Initialize 
----------------------------------------------------------------*/





// Base Constructor
Base::Base( int type )
	: type( type ) 
	, prev( Vector3(0,0,0))
{

	// Member Clear Process

}

// Base Destructor
Base::~Base( )
{

	// Do Nothing!!

}

// Base Create Instance 
Base* Base::Create( void )
{

	// Create Class Instance
	Base* pObject;
	pObject = new Base;

	return pObject;

}

// Base Initialize
void Base::Init( void )
{

	// Initialize Process
	Model::Init( );

	/*FieldMap::SetObject(
		pos,
		(FieldMap::TYPE)type,
		this );
		*/
}

// Base Uninitialize
void Base::Uninit( void )
{

	// Uninitialize Process
	Model::Uninit( );

}

// Base Update
void Base::Update( void )
{
	
	// Update Process
	FieldMap::SetObject(
		pos,
		(FieldMap::TYPE)type,
		this );
		
	Model::Update( );

	prev = pos;


}

// Base Draw
void Base::Draw( void )
{

	// Draw Process
	Model::Draw( );

}

// Base OnContact
void Base::OnContact( void )
{

	// OnContact Process


}

// Base SetType
void Base::SetType(int type)
{

	Base::type = type;

}

// Base SetPosition
void Base::SetPosition( const Vector3& pos )
{

	Base::pos = pos;

	FieldMap::SetObject(
		pos,
		(FieldMap::TYPE)type,
		this );

}





