/***************************************************************/
//
//
//		DirectX	[ python.h ]
//
//											Author	kazuki tanaka
//											Date	2017 6/6
/*---------------------------------------------------------------
Update : 2017/6/6
			Create Header File -> python.h.h 
 			< Add Class Function >
				PYTHON->Constructor
				PYTHON->Destructor
				PYTHON->Create ( static member )
				PYTHON->Init
				PYTHON->Uninit
				PYTHON->Update
				PYTHON->Draw

Update : 2017/6/6



/*-------------------------------------------------------------*/

#ifndef _PYTHON_H_

#define _PYTHON_H_


/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/

#include <string>

/*---------------------------------------------------------------
	Class
---------------------------------------------------------------*/


// Class Python Using Python
class Python
{
public:
	
	Python( );						// Python Constructor
	~Python( );						// Python Destructor

	static Python* Create( void );	// Python Create Instance Class
	
	void Execution( 
		const std::string& filename );

	void Init( void );				// Python Initialize
	void Uninit( void );			// Python Uninitialize
	void Update( void );			// Python Update
	void Draw( void );				// Python Draw


private:

	// Member Variable


};


#endif	//	_PYTHON_H_


