/***************************************************************/
//
//
//		DirectX	[ model.cpp ]
//
//											Author	kazuki tanaka
//											Date	2017 6/7
/*---------------------------------------------------------------
Update : 2017/6/7
			model.cpp̍쐬

/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/

#include "model.h"

#include "mesh_renderer3d.h"
#include "mesh3dobjectdx9.h"

/*---------------------------------------------------------------
	Macro Difinition
---------------------------------------------------------------*/


/*---------------------------------------------------------------
	Const Number Difinition
---------------------------------------------------------------*/


/*----------------------------------------------------------------
	static member variable Initialize 
----------------------------------------------------------------*/





// Model Constructor
Model::Model( )
	: renderer(nullptr)
	, pMesh(nullptr)
{

	// Member Clear Process

}

// Model Destructor
Model::~Model( )
{

	// Do Nothing!!

}

// Model Initialize
void Model::Init( void )
{

	// Initialize Process
	renderer = MeshRenderer3D::SetComponent( &pMesh, &world );


}

// Model Uninitialize
void Model::Uninit( void )
{

	// Uninitialize Process
	pMesh->Release( ); 
	SAFE_DELETE(pMesh)


}

// Model Update
void Model::Update( void )
{

	// Update Process
	world.Identity();
	
	world.Scaling( scale );
	world.Rotate( rot );
	world.Transform( pos );

}

// Model Draw
void Model::Draw( void )
{

	// Draw Process
	renderer->Render( );


}

// Model OnContact
void Model::OnContact( void )
{

	// Process < Contact >



}




