/***************************************************************/
//
//
//		DirectX	[ start.h ]
//
//											Author	kazuki tanaka
//											Date	2017 6/16
/*---------------------------------------------------------------
Update : 2017/6/16
			Create Header File -> start.h.h 
 			< Add Class Function >
				Start->Constructor
				Start->Destructor
				Start->Create ( static member )
				Start->Init
				Start->Uninit
				Start->Update
				Start->Draw

Update : 2017/6/16



/*-------------------------------------------------------------*/
#ifndef _START_H_

#define _START_H_

#include "shell.h"

/*---------------------------------------------------------------
	Class
---------------------------------------------------------------*/


// Class Start Using Start
class Start : public Shell
{
public:
	
	Start( );						// Start Constructor
	~Start( );						// Start Destructor

	static Start* Create( void );	// Start Create Instance Class

	void Init( void );				// Start Initialize
	void Uninit( void );			// Start Uninitialize
	void Update( void );			// Start Update
	void Draw( void );				// Start Draw

	inline void GameStart( void ){
		flag = true;
	}

private:

	// Member Variable


};


#endif	//	_START_H_


